%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name: 		git
Version: 	1.6.6.2
Release: 	1
Summary:  	Core git tools
License: 	GPLv2
Group: 		Development/Tools
URL: 		http://kernel.org/pub/software/scm/git/
Source0: 	http://kernel.org/pub/software/scm/git/%{name}-%{version}.tar.bz2
Source1: 	http://kernel.org/pub/software/scm/git/%{name}-%{version}.tar.bz2.sign
Source2: 	%{name}.conf.httpd
Patch0: 	%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	coreutils
BuildRequires:	curl-devel >= 7.17.1
BuildRequires:	expat-devel >= 2.0.1
BuildRequires:	gettext
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	zlib-devel >= 1.2
BuildRequires:	perl >= 5.8.8

Requires:	bash
Requires:	curl >= 7.17.1
Requires:	expat >= 2.0.1
Requires:	gettext
Requires:	less
Requires:	openssl >= 0.9.8
Requires:	perl >= 5.8.8
Requires:	python >= 2.6.2
Requires:	rsync
Requires:	zlib >= 1.2

%description
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.


%package arch
Summary:        Git tools for importing Arch repositories
Group:          Development/Tools
Requires:       %{name}= %{version}-%{release}
Requires:       perl >= 5.8.8
Requires:       tla

%description arch
Git tools for importing Arch repositories.


%package cvs
Summary:        Git tools for importing CVS repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       cvs
Requires:       cvsps
Requires:       perl >= 5.8.8

%description cvs
Git tools for importing CVS repositories.


%package email
Summary:        Git tools for sending email
Group:          Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	perl >= 5.8.8
Requires:       perl(Net::SMTP::SSL), perl(Authen::SASL)

%description email
Git tools for sending email.


%package gui
Summary:        Git GUI tool
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       tcl >= 8.4
Requires:       tk >= 8.4

%description gui
Git GUI tool.


%package svn
Summary:        Git tools for importing Subversion repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       perl >= 5.8.8
Requires:       subversion
# Requires:     perl(Term::Readkey)

%description svn
Git tools for importing Subversion repositories.


%package -n gitk
Summary:        Git revision tree visualiser
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       tcl >= 8.4
Requires:       tk >= 8.4

%description -n gitk
Git revision tree visualiser.


%package -n gitweb
Summary:        Simple web interface to git repositories
Group:          Development/Tools
Requires:       %{name} = %{version}-%{release}
Requires:       httpd
Requires:       perl >= 5.8.8

%description -n gitweb
Simple web interface to track changes in git repositories


%package -n perl-Git
Summary:        Perl interface to Git
Group:          Development/Libraries
# this is contained in our base perl packag
# BuildRequires:  perl(ExtUtils::MakeMaker)
# this we don't have yet
# BuildRequires:  perl(Error)
Requires:       %{name} = %{version}-%{release}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8
Requires:       perl(Error)

%description -n perl-Git
Perl interface to Git.


%prep
%setup -q
%patch0


%build
export CC="xlc_r"

./configure \
    --prefix=%{_prefix}\
    --mandir=%{_mandir}\
    --with-perl=%{_bindir}/perl \
    --with-openssl=%{_prefix}

PATH=/opt/freeware/bin:$PATH gmake %{?_smp_mflags}


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT} INSTALLDIRS=vendor

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/var/www/git
install -m 644 -t ${RPM_BUILD_ROOT}/var/www/git gitweb/*.png gitweb/*.css
install -m 755 -t ${RPM_BUILD_ROOT}/var/www/git gitweb/gitweb.cgi

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/httpd/conf.d
install -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_sysconfdir}/httpd/conf.d/git.conf

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec rm -f {} ';'

(find ${RPM_BUILD_ROOT}%{_bindir} -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citooli|git-daemon" | sed -e s@^${RPM_BUILD_ROOT}@@) > bin-man-doc-files
(find ${RPM_BUILD_ROOT}%{_libexecdir} -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citooli|git-daemon" | sed -e s@^${RPM_BUILD_ROOT}@@) >> bin-man-doc-files

(find ${RPM_BUILD_ROOT}%{perl_vendorlib} -type f | sed -e s@^${RPM_BUILD_ROOT}@@) > perl-files

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .

(find ${RPM_BUILD_ROOT}/usr/bin -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citooli|git-daemon" | sed -e s@^${RPM_BUILD_ROOT}@@) >> bin-man-doc-files


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -f bin-man-doc-files
%defattr(-,root,system)
%doc README COPYING Documentation/*.txt contrib/
%{_datadir}/git-core/
%dir %{_libexecdir}/git-core/
/usr/bin/git
/usr/bin/git-receive-pack
/usr/bin/git-shell
/usr/bin/git-upload-archive
/usr/bin/git-upload-pack


%files svn
%defattr(-,root,system)
%doc Documentation/*svn*.txt
%{_libexecdir}/git-core/*svn*


%files cvs
%defattr(-,root,system)
%doc Documentation/*git-cvs*.txt
%{_bindir}/*cvsserver
%{_libexecdir}/git-core/*cvs*
/usr/bin/*cvsserver


%files arch
%defattr(-,root,system)
%doc Documentation/git-archimport.txt
%{_libexecdir}/git-core/git-archimport


%files email
%defattr(-,root,system)
%doc Documentation/*email*.txt
%{_libexecdir}/git-core/*email*


%files gui
%defattr(-,root,system)
%{_libexecdir}/git-core/git-gui
%{_libexecdir}/git-core/git-citool
%{_datadir}/git-gui


%files -n gitk
%defattr(-,root,system)
%doc Documentation/*gitk*.txt
%{_bindir}/*gitk*
%{_datadir}/gitk
/usr/bin/*gitk*


%files -n perl-Git -f perl-files
%defattr(-,root,system)


%files -n gitweb
%defattr(-,root,system)
%config(noreplace)%{_sysconfdir}/httpd/conf.d/git.conf
/var/www/git/


%changelog
* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.6.6.2-1
- updated to version 1.6.6.2

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.6.0.6-1
- updated to version 1.6.0.6

* Thu Nov 05 2009 Michael Perzl <michael@perzl.org> - 1.6.0.1-1
- first version for AIX V5.1 and higher
